Bug 11460 - Correction to default itemcallnumber system preference in UNIMARC
Summary: Correction to default itemcallnumber system preference in UNIMARC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2013-12-30 22:05 UTC by Manos PETRIDIS
Modified: 2020-11-17 20:53 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
Bug 11460: Remove MARC21 default mapping from itemcallnumber system preference (3.86 KB, patch)
2020-10-26 22:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11460: Remove MARC21 default mapping from itemcallnumber system preference (3.90 KB, patch)
2020-10-30 22:14 UTC, David Nind
Details | Diff | Splinter Review
Bug 11460: Remove MARC21 default mapping from itemcallnumber system preference (3.90 KB, patch)
2020-11-03 08:44 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Manos PETRIDIS 2013-12-30 22:05:56 UTC
The pre-set (default) value for the itemcallnumber syspref is “082ab”, and the relevant example text is “Examples: Dewey: 082ab or 092ab; LOC: 050ab or 090ab; from the item record: 852hi”, even in UNIMARC installations.

While this may be correct for MARC21/USMARC installations, I understand that the correct entry for a UNIMARC installation would be “676a” for Dewey, or something similar.

Both the default value and the example text could be amended to reflect this in UNIMARC installations. As it regards the example text, I wonder however if MARC flavor selection during set-up can go beyond framework selection and default values; The text may have to be expanded to cover more flavours or warn the user that the example only stands for USMARC/MARC21.
Comment 1 Katrin Fischer 2016-08-14 15:17:24 UTC
The pref description currently reads:
 	
Map the MARC subfield to an item's callnumber. [ .... ] (This can contain multiple subfields to look in; for instance 082ab would look in 082 subfields a and b.)
Examples (for MARC21 records): Dewey: 082ab or 092ab; LOC: 050ab or 090ab; from the item record: 852hi 

I think the easiest solution for now would be to add a UNIMARC example in the text and remove the default setting for new installations. Presetting it with a matching value depending on the MARC selection would not be so easy.

For every language installer, a syspref.sql file can be added later to set individual values (check it-IT or de-DE for examples) that are good for the given language.
Comment 2 Katrin Fischer 2020-10-26 22:54:51 UTC
Created attachment 112542 [details] [review]
Bug 11460: Remove MARC21 default mapping from itemcallnumber system preference

The mapping in the itemcallnumber system preference is only valid
for MARC21 libraries using DDC classification, but not for libraries
using UNIMARC or other classification.

This patch suggests to remove the default mapping and start new installations
with an empty value.

To test:
- On an emtpy database
- Apply patch
- Run the web installer, selecting either MARC21 or UNIMARC
- Verify that the itemcallnumber system preference is empty
- Verify the description now also include examples for UNIMARC

https://bugs.koha-community.org/show_bug.cgi?id=26723
Comment 3 Katrin Fischer 2020-10-26 22:56:02 UTC
We get asked often to deactivate the itemcallnumber preference as most libraries in Germany don't use DDC, but the records from the union catalogs contain all kinds of classifications including DDC - so they end up as suggestions in the items.
Comment 4 David Nind 2020-10-30 22:14:13 UTC
Created attachment 112762 [details] [review]
Bug 11460: Remove MARC21 default mapping from itemcallnumber system preference

The mapping in the itemcallnumber system preference is only valid
for MARC21 libraries using DDC classification, but not for libraries
using UNIMARC or other classification.

This patch suggests to remove the default mapping and start new installations
with an empty value.

To test:
- On an emtpy database
- Apply patch
- Run the web installer, selecting either MARC21 or UNIMARC
- Verify that the itemcallnumber system preference is empty
- Verify the description now also include examples for UNIMARC

https://bugs.koha-community.org/show_bug.cgi?id=26723

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Martin Renvoize 2020-11-03 08:44:08 UTC
Created attachment 112896 [details] [review]
Bug 11460: Remove MARC21 default mapping from itemcallnumber system preference

The mapping in the itemcallnumber system preference is only valid
for MARC21 libraries using DDC classification, but not for libraries
using UNIMARC or other classification.

This patch suggests to remove the default mapping and start new installations
with an empty value.

To test:
- On an emtpy database
- Apply patch
- Run the web installer, selecting either MARC21 or UNIMARC
- Verify that the itemcallnumber system preference is empty
- Verify the description now also include examples for UNIMARC

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-11-03 08:44:32 UTC
Change makes sense, passing QA
Comment 7 Jonathan Druart 2020-11-04 12:02:01 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-11-16 21:10:55 UTC
backported to 20.05.x for 20.05.06
Comment 9 Aleisha Amohia 2020-11-17 05:27:43 UTC
enhancement, not backported to 19.11.x